net.snowflake.client.ingest

## Class IngestTester

- java.lang.Object
- - net.snowflake.client.IngestFilesTester
  - - net.snowflake.client.ingest.IngestTester

    public class IngestTester
    extends IngestFilesTester

Created by hyu on 10/19/16.

### Nested Class Summary

### Nested classes/interfaces inherited from class net.snowflake.client.IngestFilesTester

`IngestFilesTester.FileFormat, IngestFilesTester.IngestPushFilesRequest, IngestFilesTester.SecurityState`

### Field Summary

Fields
`String` `CREATE_INGEST_MK_TABLE`
`String` `CREATE_INGEST_TABLE`
`String` `CREATE_INGEST_TABLE_TRUTH`
`String` `CREATE_INGEST_TABLE_VAR`
`String` `CREATE_INGEST_TABLE_VAR_TRUTH`
`String` `CREATE_INT_STAGE_S3`
`String` `CREATE_STAGE`
`String` `CREATE_STAGE_S3`
`String` `CREATE_STAGE_S3_MK`
`String` `insert_role`

### Fields inherited from class net.snowflake.client.IngestFilesTester

`connection, DATABASE, fqStageName, fqTableName, httpClient, INGEST_TBL, objectMapper, RND_PAD, SCHEMA, STAGE_NAME, tmpIngestStage`

### Constructor Summary

Constructors
Constructor and Description
`IngestTester(Connection connection, org.apache.http.impl.client.CloseableHttpClient httpClient)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Path>` `createCsvs(int numOfFiles, int rows)`
`Path` `createLargeCSV(int rows, int numCol)`
`List<Path>` `createMalformedCSVs(int numOfFiles, int rows)`
`void` `createTableWithWideColumns(int columnNum)`
`String` `createUserAndAuthenticate(String userName)`
`String` `getFqStageName()`
`String` `getFqTableName()`
`org.apache.http.impl.client.CloseableHttpClient` `getHttpClient()`
`String` `getJwtToken()`
`String` `getQuotedStageName()`
`String` `getTruthTable()`
`void` `grantPriviOnTableToRole()`
`void` `grantPriviOnTableToRoleInternal()`
`void` `testSetUp()`
`void` `testTearDown()`

### Methods inherited from class net.snowflake.client.IngestFilesTester

`checkWithCopy, createHttpClient, createTempCsv, createTempFiles, createTempStageDir, disableIngestService, disableIngestServiceOld, doQuery, enableEncryption, enableIngestForAccount, enableIngestService, enableIngestServiceOld, enableKeyPairAuthn, main, quote, say`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### insert_role

    public final String insert_role

See Also:
  Constant Field Values

#### CREATE_STAGE

    public final String CREATE_STAGE

#### CREATE_STAGE_S3

    public final String CREATE_STAGE_S3

#### CREATE_STAGE_S3_MK

    public final String CREATE_STAGE_S3_MK

#### CREATE_INT_STAGE_S3

    public final String CREATE_INT_STAGE_S3

#### CREATE_INGEST_TABLE

    public final String CREATE_INGEST_TABLE

#### CREATE_INGEST_MK_TABLE

    public final String CREATE_INGEST_MK_TABLE

#### CREATE_INGEST_TABLE_TRUTH

    public final String CREATE_INGEST_TABLE_TRUTH

#### CREATE_INGEST_TABLE_VAR

    public final String CREATE_INGEST_TABLE_VAR

#### CREATE_INGEST_TABLE_VAR_TRUTH

    public final String CREATE_INGEST_TABLE_VAR_TRUTH

### Constructor Detail

#### IngestTester

    public IngestTester(Connection connection,
                        org.apache.http.impl.client.CloseableHttpClient httpClient)

### Method Detail

#### testSetUp

    public void testSetUp()
                   throws Exception

Throws:
  `Exception`

#### createUserAndAuthenticate

    public String createUserAndAuthenticate(String userName)
                                     throws Exception

Throws:
  `Exception`

#### grantPriviOnTableToRole

    public void grantPriviOnTableToRole()
                                 throws SQLException

Throws:
  `SQLException`

#### grantPriviOnTableToRoleInternal

    public void grantPriviOnTableToRoleInternal()
                                         throws SQLException

Throws:
  `SQLException`

#### createTableWithWideColumns

    public void createTableWithWideColumns(int columnNum)
                                    throws Exception

Throws:
  `Exception`

#### testTearDown

    public void testTearDown()
                      throws SQLException,
                             IOException

Throws:
  `SQLException`
  `IOException`

#### createMalformedCSVs

    public List<Path> createMalformedCSVs(int numOfFiles,
                                          int rows)
                                   throws IOException

Throws:
  `IOException`

#### createCsvs

    public List<Path> createCsvs(int numOfFiles,
                                 int rows)
                          throws IOException

Throws:
  `IOException`

#### createLargeCSV

    public Path createLargeCSV(int rows,
                               int numCol)
                        throws IOException

Throws:
  `IOException`

#### getJwtToken

    public String getJwtToken()

#### getHttpClient

    public org.apache.http.impl.client.CloseableHttpClient getHttpClient()

#### getFqTableName

    public String getFqTableName()

#### getFqStageName

    public String getFqStageName()

#### getTruthTable

    public String getTruthTable()

#### getQuotedStageName

    public String getQuotedStageName()